import React from 'react'
import { useModel } from '@/store'
import Spin from '@/components/Spin'
import useMountTrack from '@/utils/hooks/useMountTrack'

export default function(props) {
  const { user } = useModel('user')

  const loading = !user || !user.personId
  
  // 埋点
  useMountTrack()

  return (
    <Spin loading={loading}>{ props.children }</Spin>
  )
}
